Pular para o conteúdo
Pruna AI logo

P-Video-Animate

Image-to-Video • Pruna AI

Ver como Markdown
  • Third-party

Pruna's P-Video-Animate takes a source video and a subject reference image, then animates the referenced subject using the motion and audio from the source video.

Model Info
More information link
Pricing View pricing in the Cloudflare dashboard

Usage

const response = await env.AI.run(
  'pruna/p-video-animate',
  {
    video: 'https://test-videos.co.uk/vids/bigbuckbunny/mp4/h264/360/Big_Buck_Bunny_360_10s_1MB.mp4',
    image: 'https://huggingface.co/spaces/yisol/IDM-VTON/resolve/main/example/human/00121_00.jpg',
    resolution: '720p',
    target_fps: 'original',
  },
)
console.log(response)
curl https://api.cloudflare.com/client/v4/accounts/$CLOUDFLARE_ACCOUNT_ID/ai/run \
  --header "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
  --header "Content-Type: application/json" \
  --data '{
  "model": "pruna/p-video-animate",
  "input": {
    "video": "https://test-videos.co.uk/vids/bigbuckbunny/mp4/h264/360/Big_Buck_Bunny_360_10s_1MB.mp4",
    "image": "https://huggingface.co/spaces/yisol/IDM-VTON/resolve/main/example/human/00121_00.jpg",
    "resolution": "720p",
    "target_fps": "original"
  }
}'
{
  "state": "Completed",
  "result": {
    "video": "https://examples.aig.cloudflare.com/pruna/p-video-animate/motion-transfer.mp4"
  },
  "gatewayMetadata": {
    "keySource": "Unified"
  }
}

Parameters

video
stringrequiredSource RGB video (.mp4) used as the motion and audio source. HTTP(S) URL or data URI.
image
stringrequiredReference image of the subject to animate. HTTP(S) URL or data URI.
turbo
booleanrequireddefault: falseTurbo mode: faster generation for slightly lower quality.
resolution
stringrequireddefault: 720penum: 720p, 1080pTarget resolution.
save_audio
booleanrequireddefault: trueSave the video with audio.
ignore_audio
booleanrequireddefault: falseIgnore source audio during generation.
target_fps
stringrequireddefault: originalenum: 24, 48, originalTarget FPS for the working video.
instruction_prompt
stringrequireddefault: Further instruction on how the reference subject should be animated.
seed
integerminimum: -9007199254740991maximum: 9007199254740991Random seed for reproducible generation.
disable_safety_checker
booleanrequireddefault: falseDisable safety checker for generated videos.
video
stringformat: uriPresigned URL for the animated video.

API Schemas (Raw)

Input
Output